Debian Bug report logs - #659854
RFS: vpnc/0.5.3r512-1 - Cisco-compatible VPN client (new upstream snapshot)

Package: sponsorship-requests; Maintainer for sponsorship-requests is Debian Mentors <package-sponsorship-requests@lists.debian.org>;

Reported by: Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>

Date: Tue, 14 Feb 2012 10:09:02 UTC

Owned by: gregor herrmann <gregoa@debian.org>

Severity: normal

Tags: confirmed

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659854; Package sponsorship-requests. (Tue, 14 Feb 2012 10:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>:
New Bug report received and forwarded. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Tue, 14 Feb 2012 10:09:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>
To: submit@bugs.debian.org
Cc: warmenhoven@debian.org
Subject: RFS: vpnc/0.5.3r512-1 - Cisco-compatible VPN client (new upstream snapshot)
Date: Tue, 14 Feb 2012 11:08:00 +0100
Package: sponsorship-requests
Severity: normal


Dear mentors,

I am looking for a sponsor for my package "vpnc":

dget -x http://mentors.debian.net/debian/pool/main/v/vpnc/vpnc_0.5.3r512-1.dsc
http://mentors.debian.net/package/vpnc

Version 0.5.3r512-1 is the first new upstream version (SVN snapshot,
upstream hasn't done releases in a long time) uploaded to Debian in
almost two years. It includes mainly bugfixes, particularly for routing
issues, and I expect to be able to close a lot more bugs than those
already in the changelog after triaging with this new version:

vpnc (0.5.3r512-1) unstable; urgency=low

  * Imported new upstream SVN snapshot with support for Fritz!Box routers
    (closes: #629646), fixed MTU when no default route (closes: #525389).
  * Refreshed patches, dropped 07_bug496718.patch, 08_bug640978.patch
    (applied upstream).
  * Added missing ${perl:Depends}.
  * Updated debian/copyright to reflect recent work in SVN.
  * Updated README.Debian, clarified security warning (closes: #442629).
  * Properly remove obsolete conffile example.conf on upgrade.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Mon, 09 Jan 2012 21:57:57 +0100


A previous upload of vpnc was sponsored by its former maintainer, Eric
Warmenhoven, who nevertheless indicated that he might not have the time
to do so in the future, and that I should seek additional sponsorship.
As he apparently hasn't found time to look at vpnc in over three weeks,
I'm now filing this sponsorship-request to ask for your comments and
review.

Florian





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659854; Package sponsorship-requests. (Tue, 14 Feb 2012 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Tue, 14 Feb 2012 22:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 659854@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>, 659854@bugs.debian.org
Subject: Re: Bug#659854: RFS: vpnc/0.5.3r512-1 - Cisco-compatible VPN client (new upstream snapshot)
Date: Tue, 14 Feb 2012 23:16:24 +0100
[Message part 1 (text/plain, inline)]
tag 659854 + confirmed
owner 659854 !
thanks

On Tue, 14 Feb 2012 11:08:00 +0100, Florian Schlichting wrote:

> I am looking for a sponsor for my package "vpnc":
> dget -x http://mentors.debian.net/debian/pool/main/v/vpnc/vpnc_0.5.3r512-1.dsc
> http://mentors.debian.net/package/vpnc

This looks very good IMO.

Just some remarks which you might want to look at:
- I think PREFIX is only needed for the install but not for the build
  target in debian/rules.
- uscan - debian/watch don't work. I don't know if there are releases
  planned but for the svn snapshots a get-orig-source target might be
  nice.
- debian/copyright: mismatch between GPL-2+ and "version 1 ...
  GPL-1".
- debhelper 9 might (or might not, I haven't checked) pass more
  hardening *FLAGS down to the build system?
- Similar: The package doesn't seem to honour DEB_BUILD_OPTIONS=noopt.
- "mk-version: 6: mk-version: Syntax error: "(" unexpected"
  looks a bit ugly (only triggered by dash, not by bash or zsh, and
  checkbashisms also whines), and it leads to
  "-DVERSION=\"\"" in the gcc calls.


(If you have the package in git somewhere reviewing future changes
would be more convenient for me :))


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Frank Zappa: MOTHERS AT KPFK
[signature.asc (application/pgp-signature, inline)]

Added tag(s) confirmed. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Tue, 14 Feb 2012 22:21:05 GMT) Full text and rfc822 format available.

Owner recorded as gregor herrmann <gregoa@debian.org>. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Tue, 14 Feb 2012 22:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>, gregor herrmann <gregoa@debian.org>:
Bug#659854; Package sponsorship-requests. (Wed, 15 Feb 2012 23:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>, gregor herrmann <gregoa@debian.org>. (Wed, 15 Feb 2012 23:21:03 GMT) Full text and rfc822 format available.

Message #19 received at 659854@bugs.debian.org (full text, mbox):

From: Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>
To: gregor herrmann <gregoa@debian.org>
Cc: 659854@bugs.debian.org
Subject: Re: Bug#659854: RFS: vpnc/0.5.3r512-1 - Cisco-compatible VPN client (new upstream snapshot)
Date: Thu, 16 Feb 2012 00:19:32 +0100
Hi Gregor,

thanks a lot for the review. I've uploaded a new package into the same
spot:

> > dget -x http://mentors.debian.net/debian/pool/main/v/vpnc/vpnc_0.5.3r512-1.dsc
> > http://mentors.debian.net/package/vpnc

> - I think PREFIX is only needed for the install but not for the build
>   target in debian/rules.

you're right, I've removed the build target override

> - uscan - debian/watch don't work. I don't know if there are releases
>   planned but for the svn snapshots a get-orig-source target might be
>   nice.

I don't know of any planned releases, but I suspect the active
contributors don't have access to the website... I've added a
get-orig-source target.

(uscan works for me, only it says "remote site does not even have
current version" -- I suppose that's what you meant?)

> - debian/copyright: mismatch between GPL-2+ and "version 1 ...
>   GPL-1".

uh, I wonder where I mis-copy-pasted that paragraph from... :-O

> - debhelper 9 might (or might not, I haven't checked) pass more
>   hardening *FLAGS down to the build system?
> - Similar: The package doesn't seem to honour DEB_BUILD_OPTIONS=noopt.

dh 9 does in fact pass extra hardening options to gcc, and also honours
DEB_BUILD_OPTIONS (and produces lots of ignored-return-value warnings).

I bumped the dh compat level.

> - "mk-version: 6: mk-version: Syntax error: "(" unexpected"
>   looks a bit ugly (only triggered by dash, not by bash or zsh, and
>   checkbashisms also whines), and it leads to
>   "-DVERSION=\"\"" in the gcc calls.

...and an empty version string for vpnc --version. That's indeed ugly! I
had somehow thought it would just use the latest upstream release
version without any SVN revision, and postponed the investigation, so
thanks for spotting this!

I'll email upstream about the bashisms (probably easiest to just switch
the interpreter to /bin/bash), and patched the Makefile to take the full
upstream version string from dpkg-parsechangelog.

> (If you have the package in git somewhere reviewing future changes
> would be more convenient for me :))

of course!

https://github.com/fschlich/Debian-vpnc or rather
git clone git://github.com/fschlich/Debian-vpnc.git vpnc

Florian




Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Thu, 16 Feb 2012 22:27:20 GMT) Full text and rfc822 format available.

Notification sent to Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>:
Bug acknowledged by developer. (Thu, 16 Feb 2012 22:27:21 GMT) Full text and rfc822 format available.

Message #24 received at 659854-done@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>, 659854-done@bugs.debian.org
Subject: Re: Bug#659854: RFS: vpnc/0.5.3r512-1 - Cisco-compatible VPN client (new upstream snapshot)
Date: Thu, 16 Feb 2012 23:22:57 +0100
[Message part 1 (text/plain, inline)]
On Thu, 16 Feb 2012 00:19:32 +0100, Florian Schlichting wrote:

> > - I think PREFIX is only needed for the install but not for the build
> >   target in debian/rules.
> you're right, I've removed the build target override

Great.
 
> > - uscan - debian/watch don't work. I don't know if there are releases
> >   planned but for the svn snapshots a get-orig-source target might be
> >   nice.
> I don't know of any planned releases, but I suspect the active
> contributors don't have access to the website... I've added a
> get-orig-source target.

Nice.
 
> (uscan works for me, only it says "remote site does not even have
> current version" -- I suppose that's what you meant?)

Exactly, sorry for being unclear.
 
> > - debian/copyright: mismatch between GPL-2+ and "version 1 ...
> >   GPL-1".
> uh, I wonder where I mis-copy-pasted that paragraph from... :-O

I have a hunch :)
 
> > - debhelper 9 might (or might not, I haven't checked) pass more
> >   hardening *FLAGS down to the build system?
> > - Similar: The package doesn't seem to honour DEB_BUILD_OPTIONS=noopt.
> dh 9 does in fact pass extra hardening options to gcc, and also honours
> DEB_BUILD_OPTIONS (and produces lots of ignored-return-value warnings).
> I bumped the dh compat level.

Thanks.
 
> > - "mk-version: 6: mk-version: Syntax error: "(" unexpected"
> >   looks a bit ugly (only triggered by dash, not by bash or zsh, and
> >   checkbashisms also whines), and it leads to
> >   "-DVERSION=\"\"" in the gcc calls.
> ...and an empty version string for vpnc --version. That's indeed ugly! I
> had somehow thought it would just use the latest upstream release
> version without any SVN revision, and postponed the investigation, so
> thanks for spotting this!
> I'll email upstream about the bashisms (probably easiest to just switch
> the interpreter to /bin/bash), and patched the Makefile to take the full
> upstream version string from dpkg-parsechangelog.

Looks good, thank you.
 
> > (If you have the package in git somewhere reviewing future changes
> > would be more convenient for me :))
> of course!
> https://github.com/fschlich/Debian-vpnc or rather
> git clone git://github.com/fschlich/Debian-vpnc.git vpnc

Very nice, looking at the diffs of single commits is much easier!


And uploaded.


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Elmore James: The Sky Is Crying
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 Mar 2012 07:38:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:24:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.